TransferControllerGetSavedExportById Method |
GET /Transfer/Export/{id}
Retrieves the export configuration based on the ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Export")]
public IActionResult GetSavedExportById(
Guid id,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Export")>
Public Function GetSavedExportById (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Export")]
IActionResult^ GetSavedExportById(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Export")>]
member GetSavedExportById :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the requested export. - sessionId (Optional)
- Type: SystemNullableGuid
The current ID of the session.
Return Value
Type:
IActionResultA
ExportConfigData, or a status code indicating the problem.
See Also